Skip to main content
`Ctrl`+`K`

# path_weight

path_weight(G, path, weight)

  Returns total cost associated with specified path and weight

  Parameters:
    G graph

      A NetworkX graph.

    path: list

      A list of node labels which defines the path to traverse

    weight: string

      A string indicating which edge attribute to use for path cost

  Returns:
    cost: int or float

      An integer or a float representing the total cost with respect to the specified weight of the specified path

  Raises:
    NetworkXNoPath

      If the specified edge does not exist.